# ezQuake Manual: Lighting Variables

## gl_colorlights

### Description

Switch on/off colour of lighting from glowing items (quad, pent, flags in TF, etc)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Coloured lighting are on
0 | Coloured lighting are off

This implementation does not give a speed increase when gl_colorlights is set to 0, but it does not require a map restart for changes to take effect

## gl_coronas

### Description

Adds coronas to some effects:Explosions - Basically just a bright flash since the default explosions didn't feel powerful enough. Muzzleflashes. Lightning. Fire - Torches have glows. Rocket Lights.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_coronas_tele

### Description

Allows you to turn on/off blue light when spawning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Spawn coronas on.
0 | Spawn coronas off.

## gl_fb_bmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable "fullbright" colors on bsp models (World, health boxes, etc).
0 | Might give you a couple more fps.

## gl_fb_models

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable "fullbright" colors on alias models (grenades, player models, etc).
0 | Might also give you more fps.

## gl_flashblend

### Description

This variable affects when glow bubbles are displayed in the client. You can change the color of the rocket glow by r_rocketLightColor, the color of explosions by r_explosionLightColor, and the color of flag carriers by r_flagColor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | No glow bubbles.
1 | A glow bubble will appear on explosions and flag/quad/pent carrier.
2 | Same as (1), but also around rockets in the air.

## gl_lighting_colour

### Description

Alias models are effected by coloured lights around them.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_lighting_vertex

### Description

Alias models no longer have the same level of light on all sides. This may not work correctly if coloured lighting is disabled.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_lightmode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
0 | Makes the map lighter, but fullbrights don't look as good. (0% overbrights)
1 | Makes the map darker, but makes fullbrights stand out more (looks better). (33% overbrights)

## gl_loadlitfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Load lit files.
0 | Disable lit files.

## gl_rl_globe

### Description

Helps customize rocket light independant of gl_flashblend. 0 - treated as feature off. 1 - rocket light looks like with gl_flashblend 2, but no dynamic lighting. 2 - rocket light looks like with gl_flashblend 0 or 1. 3 - rocket light looks like with gl_flashblend 2, with dynamic lighting, exactly the same.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## gl_shaftlight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Light shaft.
0 | Dark shaft.

## r_ambient

### Description

This variable controls the amount of ambient lighting on the map. When this variable is increased the map will become brighter and all walls and objects will be rendered in a lighter color. It was removed in QWCL and has been re-introduced in this client, however it can only be used when the server is running with cheats enabled (for example "qwsv -cheats"), because it could be used as a cheat by making it easier to see players in dark corners when no fullbright skins are used.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## r_dynamic

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display dynamic lighting.
0 | Do not display dynamic lighting.

## r_fullbright

### Description

This variable toggles the use of lights at full brightness on the map. This allows map authors to remove all of the lighting effects from the map, effectively removing all shadows.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Fullbrights the map (need -cheats or sv_cheats 1 enabled in server)
0 | Do not fullbright the map.

This variable can only be used when the server is running with cheats enabled (for example "mvdsv -cheats" or sv_cheats 1), because it could be used as a cheat by making it easier to see players in shadows.

## r_lightmap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable light sources on the map.
0 | Disable light sources on the map.

## r_shadows

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Display shadows for entities.
0 | Do not display shadows for entities.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs